Package com.dropbox.core.v2.paper
Class DocsGetMetadataBuilder
java.lang.Object
com.dropbox.core.v2.paper.DocsGetMetadataBuilder
The request builder returned by
DbxUserPaperRequests.docsGetMetadataBuilder().
Use this class to set optional request parameters and complete the request.
-
Method Summary
Modifier and TypeMethodDescriptionstart()Issues the request.Set value for optional field.withFileId(String fileId) Set value for optional field.
-
Method Details
-
withDocId
Set value for optional field.- Parameters:
docId- Legacy Paper doc identifier.- Returns:
- this builder
-
withFileId
Set value for optional field.- Parameters:
fileId- Dropbox file ID for Cloud Docs (post-PiFS migration). Must have length of at least 4 and match pattern "id:.+".- Returns:
- this builder
- Throws:
IllegalArgumentException- If any argument does not meet its preconditions.
-
start
Issues the request.- Throws:
DocLookupErrorExceptionDbxException
-